import 'package:json_annotation/json_annotation.dart';

part 'user.g.dart';

@JsonSerializable()
class User {
  User({ required this.number, required this.firstName, required this.lastName, required this.mail });

  String number;
  String lastName;
  String firstName;
  String mail;

  factory User.fromJson(Map<String, dynamic> json) =>
      _$UserFromJson(json);

  Map<dynamic, dynamic> toJson() => _$UserToJson(this);
}